#container,
.container {
  margin: 0 auto;
  padding: 16px 16px 50px;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.background {
  background: transparent;
  width: 100%;
  height: 100vh;
  background-size: cover;
  background-position: center center;
  overflow: auto;
  position: absolute;
  z-index: -1;
}

html:has(.background-transparent) {
  background: transparent;
  width: 100%;
  height: 100vh;
  background-size: cover;
  background-position: center center;
  overflow: auto;
  position: absolute;
  z-index: -1;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  /* backdrop-filter: blur(3px); */
  margin: auto;
  height: 100%;
}

.pseudo-price {
  position: relative;
  
}

.pseudo-price::before {
  content: "P";
  position: absolute;
  color: white;
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
  background: linear-gradient(180deg, #550795 0.33%, #FF6CFD 0.34%, #7925C0 10.26%, #370361 45.03%, #370361 94.21%, #FF6CFD 99.67%);

  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  border-radius: 100%;
  left: -27px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
}

.pseudo-price::after {
  content: "";
  position: absolute;
  color: white;
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
  background-image: linear-gradient(
    90deg,
    #f8e67d 0%,
    #eed56a 3.32%,
    #dbb748 10.27%,
    #cea12f 16.87%,
    #c69420 22.9%,
    #c38f1b 27.85%,
    #e7ca5d 41.72%,
    #f8e67d 48.15%,
    #e7ce63 52.99%,
    #d1ae41 60.51%,
    #c19828 67.65%,
    #b78a19 74.19%,
    #b48514 79.55%,
    #bd9222 83.5%,
    #d6b548 91%,
    #f8e67d 100.03%
  );
  transform: translateY(-50%);
  width: 22px;
  height: 22px;
  border-radius: 100%;
  left: -28px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.btn-transparent {
  background: transparent;
  border: none;
  cursor: pointer;
  outline: none;
}

.button-bottom-fixed {
  position: fixed;
  bottom: 50px;
  left: 16px;
  right: 16px;
  width: calc(100% - 32px) !important;
  z-index: 9999;
}